<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.14"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>iipsrv: IIPResponse Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(initResizable);
/* @license-end */</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="iip.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">iipsrv
   &#160;<span id="projectnumber">1.1</span>
   </div>
   <div id="projectbrief">iipsrv is an advanced high-performance feature-rich image server for web-based streamed viewing and zooming of ultra high-resolution images</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.14 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classIIPResponse.html','');});
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classIIPResponse-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">IIPResponse Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class to handle non-image IIP responses including errors.  
 <a href="classIIPResponse.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="IIPResponse_8h_source.html">IIPResponse.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a7d78a2353ea15f09208796d812005d58"><td class="memItemLeft" align="right" valign="top"><a id="a7d78a2353ea15f09208796d812005d58"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classIIPResponse.html#a7d78a2353ea15f09208796d812005d58">IIPResponse</a> ()</td></tr>
<tr class="memdesc:a7d78a2353ea15f09208796d812005d58"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor. <br /></td></tr>
<tr class="separator:a7d78a2353ea15f09208796d812005d58"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8514e54aecbdedbe9c80e4a2dc5dd4a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classIIPResponse.html#ad8514e54aecbdedbe9c80e4a2dc5dd4a">setProtocol</a> (const std::string &amp;p)</td></tr>
<tr class="memdesc:ad8514e54aecbdedbe9c80e4a2dc5dd4a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the IIP protocol version.  <a href="#ad8514e54aecbdedbe9c80e4a2dc5dd4a">More...</a><br /></td></tr>
<tr class="separator:ad8514e54aecbdedbe9c80e4a2dc5dd4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5b7e6db61ef585e7715b73a9fdf04bb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classIIPResponse.html#ab5b7e6db61ef585e7715b73a9fdf04bb">setLastModified</a> (const std::string &amp;m)</td></tr>
<tr class="memdesc:ab5b7e6db61ef585e7715b73a9fdf04bb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the Last Modified header.  <a href="#ab5b7e6db61ef585e7715b73a9fdf04bb">More...</a><br /></td></tr>
<tr class="separator:ab5b7e6db61ef585e7715b73a9fdf04bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb3b9be7408ea6772280c2cce3caaf02"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classIIPResponse.html#afb3b9be7408ea6772280c2cce3caaf02">addResponse</a> (const std::string &amp;r)</td></tr>
<tr class="memdesc:afb3b9be7408ea6772280c2cce3caaf02"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a response string.  <a href="#afb3b9be7408ea6772280c2cce3caaf02">More...</a><br /></td></tr>
<tr class="separator:afb3b9be7408ea6772280c2cce3caaf02"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f9416d8713947a34024635dec96f20f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classIIPResponse.html#a8f9416d8713947a34024635dec96f20f">addResponse</a> (const char *c)</td></tr>
<tr class="memdesc:a8f9416d8713947a34024635dec96f20f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a response string.  <a href="#a8f9416d8713947a34024635dec96f20f">More...</a><br /></td></tr>
<tr class="separator:a8f9416d8713947a34024635dec96f20f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a422eed5b71be621b3f1e02fb383f3be4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classIIPResponse.html#a422eed5b71be621b3f1e02fb383f3be4">addResponse</a> (const char *c, int a)</td></tr>
<tr class="memdesc:a422eed5b71be621b3f1e02fb383f3be4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a response string.  <a href="#a422eed5b71be621b3f1e02fb383f3be4">More...</a><br /></td></tr>
<tr class="separator:a422eed5b71be621b3f1e02fb383f3be4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e4abc802176a20000ec48192b0408e4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classIIPResponse.html#a9e4abc802176a20000ec48192b0408e4">addResponse</a> (std::string c, const std::string &amp;a)</td></tr>
<tr class="memdesc:a9e4abc802176a20000ec48192b0408e4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a response string.  <a href="#a9e4abc802176a20000ec48192b0408e4">More...</a><br /></td></tr>
<tr class="separator:a9e4abc802176a20000ec48192b0408e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c49d7be619367e7883ab66541be7b0d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classIIPResponse.html#a3c49d7be619367e7883ab66541be7b0d">addResponse</a> (const char *c, int a, int b)</td></tr>
<tr class="memdesc:a3c49d7be619367e7883ab66541be7b0d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a response string.  <a href="#a3c49d7be619367e7883ab66541be7b0d">More...</a><br /></td></tr>
<tr class="separator:a3c49d7be619367e7883ab66541be7b0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b9059092a8f54c296e3ccc681e7fdee"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classIIPResponse.html#a5b9059092a8f54c296e3ccc681e7fdee">setError</a> (const std::string &amp;code, const std::string &amp;arg)</td></tr>
<tr class="memdesc:a5b9059092a8f54c296e3ccc681e7fdee"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set an error.  <a href="#a5b9059092a8f54c296e3ccc681e7fdee">More...</a><br /></td></tr>
<tr class="separator:a5b9059092a8f54c296e3ccc681e7fdee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c5df5bfdff0e998284e42ccc7e6afef"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classIIPResponse.html#a1c5df5bfdff0e998284e42ccc7e6afef">setCORS</a> (const std::string &amp;c)</td></tr>
<tr class="memdesc:a1c5df5bfdff0e998284e42ccc7e6afef"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set CORS setting.  <a href="#a1c5df5bfdff0e998284e42ccc7e6afef">More...</a><br /></td></tr>
<tr class="separator:a1c5df5bfdff0e998284e42ccc7e6afef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad896028cfe38d7db6f0c50eaff0b978d"><td class="memItemLeft" align="right" valign="top"><a id="ad896028cfe38d7db6f0c50eaff0b978d"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classIIPResponse.html#ad896028cfe38d7db6f0c50eaff0b978d">getCORS</a> ()</td></tr>
<tr class="memdesc:ad896028cfe38d7db6f0c50eaff0b978d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get CORS setting. <br /></td></tr>
<tr class="separator:ad896028cfe38d7db6f0c50eaff0b978d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa3a43cc1c42d4c2ed3d94028e1ce615"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classIIPResponse.html#aaa3a43cc1c42d4c2ed3d94028e1ce615">setCacheControl</a> (const std::string &amp;c)</td></tr>
<tr class="memdesc:aaa3a43cc1c42d4c2ed3d94028e1ce615"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set Cache-Control value.  <a href="#aaa3a43cc1c42d4c2ed3d94028e1ce615">More...</a><br /></td></tr>
<tr class="separator:aaa3a43cc1c42d4c2ed3d94028e1ce615"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0a1a8ef1951756d94708f7182154217"><td class="memItemLeft" align="right" valign="top"><a id="ae0a1a8ef1951756d94708f7182154217"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classIIPResponse.html#ae0a1a8ef1951756d94708f7182154217">getCacheControl</a> ()</td></tr>
<tr class="memdesc:ae0a1a8ef1951756d94708f7182154217"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get Cache-Control value. <br /></td></tr>
<tr class="separator:ae0a1a8ef1951756d94708f7182154217"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affc95b730d60cf074635011dfd1ebcca"><td class="memItemLeft" align="right" valign="top"><a id="affc95b730d60cf074635011dfd1ebcca"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classIIPResponse.html#affc95b730d60cf074635011dfd1ebcca">formatResponse</a> ()</td></tr>
<tr class="memdesc:affc95b730d60cf074635011dfd1ebcca"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a formatted string to send back. <br /></td></tr>
<tr class="separator:affc95b730d60cf074635011dfd1ebcca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78d8852a3280b562f2d22507f23bdb99"><td class="memItemLeft" align="right" valign="top"><a id="a78d8852a3280b562f2d22507f23bdb99"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classIIPResponse.html#a78d8852a3280b562f2d22507f23bdb99">isSet</a> ()</td></tr>
<tr class="memdesc:a78d8852a3280b562f2d22507f23bdb99"><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicate whether this object has had any arguments passed to it. <br /></td></tr>
<tr class="separator:a78d8852a3280b562f2d22507f23bdb99"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37cf31466a9202eefc096960137a6699"><td class="memItemLeft" align="right" valign="top"><a id="a37cf31466a9202eefc096960137a6699"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classIIPResponse.html#a37cf31466a9202eefc096960137a6699">errorIsSet</a> ()</td></tr>
<tr class="memdesc:a37cf31466a9202eefc096960137a6699"><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicate whether we have an error message. <br /></td></tr>
<tr class="separator:a37cf31466a9202eefc096960137a6699"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9ab55859fc05c60b6924b01f00e3ef3"><td class="memItemLeft" align="right" valign="top"><a id="ab9ab55859fc05c60b6924b01f00e3ef3"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classIIPResponse.html#ab9ab55859fc05c60b6924b01f00e3ef3">setImageSent</a> ()</td></tr>
<tr class="memdesc:ab9ab55859fc05c60b6924b01f00e3ef3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the sent flag indicating that some sort of response has been sent. <br /></td></tr>
<tr class="separator:ab9ab55859fc05c60b6924b01f00e3ef3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31dcd66df236b7d1295063d873df906d"><td class="memItemLeft" align="right" valign="top"><a id="a31dcd66df236b7d1295063d873df906d"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classIIPResponse.html#a31dcd66df236b7d1295063d873df906d">imageSent</a> ()</td></tr>
<tr class="memdesc:a31dcd66df236b7d1295063d873df906d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicate whether a response has been sent. <br /></td></tr>
<tr class="separator:a31dcd66df236b7d1295063d873df906d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a118b0447250be2ff270402c36da4b76e"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classIIPResponse.html#a118b0447250be2ff270402c36da4b76e">getAdvert</a> ()</td></tr>
<tr class="memdesc:a118b0447250be2ff270402c36da4b76e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Display our advertising banner ;-)  <a href="#a118b0447250be2ff270402c36da4b76e">More...</a><br /></td></tr>
<tr class="separator:a118b0447250be2ff270402c36da4b76e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class to handle non-image IIP responses including errors. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="afb3b9be7408ea6772280c2cce3caaf02"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afb3b9be7408ea6772280c2cce3caaf02">&#9670;&nbsp;</a></span>addResponse() <span class="overload">[1/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void IIPResponse::addResponse </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>r</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Add a response string. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">r</td><td>response string </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a8f9416d8713947a34024635dec96f20f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8f9416d8713947a34024635dec96f20f">&#9670;&nbsp;</a></span>addResponse() <span class="overload">[2/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void IIPResponse::addResponse </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>c</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Add a response string. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">c</td><td>response string </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a422eed5b71be621b3f1e02fb383f3be4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a422eed5b71be621b3f1e02fb383f3be4">&#9670;&nbsp;</a></span>addResponse() <span class="overload">[3/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void IIPResponse::addResponse </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>c</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>a</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Add a response string. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">c</td><td>response string </td></tr>
    <tr><td class="paramname">a</td><td>integer value </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a9e4abc802176a20000ec48192b0408e4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9e4abc802176a20000ec48192b0408e4">&#9670;&nbsp;</a></span>addResponse() <span class="overload">[4/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void IIPResponse::addResponse </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>c</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>a</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Add a response string. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">c</td><td>response string </td></tr>
    <tr><td class="paramname">a</td><td>string reply </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a3c49d7be619367e7883ab66541be7b0d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c49d7be619367e7883ab66541be7b0d">&#9670;&nbsp;</a></span>addResponse() <span class="overload">[5/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void IIPResponse::addResponse </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>c</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>a</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>b</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Add a response string. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">c</td><td>response string </td></tr>
    <tr><td class="paramname">a</td><td>integer value </td></tr>
    <tr><td class="paramname">b</td><td>another integer value </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a118b0447250be2ff270402c36da4b76e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a118b0447250be2ff270402c36da4b76e">&#9670;&nbsp;</a></span>getAdvert()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string IIPResponse::getAdvert </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Display our advertising banner ;-) </p>
<dl class="section return"><dt>Returns</dt><dd>HTML string </dd></dl>

</div>
</div>
<a id="aaa3a43cc1c42d4c2ed3d94028e1ce615"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa3a43cc1c42d4c2ed3d94028e1ce615">&#9670;&nbsp;</a></span>setCacheControl()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void IIPResponse::setCacheControl </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>c</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set Cache-Control value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">c</td><td>Cache-Control setting </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a1c5df5bfdff0e998284e42ccc7e6afef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1c5df5bfdff0e998284e42ccc7e6afef">&#9670;&nbsp;</a></span>setCORS()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void IIPResponse::setCORS </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>c</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set CORS setting. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">c</td><td>setting </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a5b9059092a8f54c296e3ccc681e7fdee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b9059092a8f54c296e3ccc681e7fdee">&#9670;&nbsp;</a></span>setError()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void IIPResponse::setError </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>code</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>arg</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set an error. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">code</td><td>error code </td></tr>
    <tr><td class="paramname">arg</td><td>the argument supplied by the client </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ab5b7e6db61ef585e7715b73a9fdf04bb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab5b7e6db61ef585e7715b73a9fdf04bb">&#9670;&nbsp;</a></span>setLastModified()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void IIPResponse::setLastModified </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>m</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set the Last Modified header. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">m</td><td>Last modified date as a HTTP RFC 1123 formatted timestamp </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ad8514e54aecbdedbe9c80e4a2dc5dd4a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8514e54aecbdedbe9c80e4a2dc5dd4a">&#9670;&nbsp;</a></span>setProtocol()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void IIPResponse::setProtocol </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>p</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set the IIP protocol version. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">p</td><td>IIP protocol version </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="IIPResponse_8h_source.html">IIPResponse.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="classIIPResponse.html">IIPResponse</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.14 </li>
  </ul>
</div>
</body>
</html>
